你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Shared Private Link Resources - Get

获取由给定资源组中的搜索服务管理的共享专用链接资源的详细信息。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/sharedPrivateLinkResources/{sharedPrivateLinkResourceName}?api-version=2023-11-01

URI 参数

名称 在 必需 类型 说明
resourceGroupName
path True

string

当前订阅中的资源组的名称。 可以从 Azure 资源管理器 API 或门户获取此值。

searchServiceName
path True

string

与指定资源组关联的搜索服务的名称。

sharedPrivateLinkResourceName
path True

string

由指定资源组中的搜索服务管理的共享专用链接资源的名称。

subscriptionId
path True

string

Microsoft Azure 订阅的唯一标识符。 可以从 Azure 资源管理器 API、命令行工具或门户获取此值。

api-version
query True

string

要用于每个请求的 API 版本。

请求头

名称 必需 类型 说明
x-ms-client-request-id

string (uuid)

一个客户端生成的 GUID 值,用于标识此请求。 如果指定,响应信息中将包含此内容作为跟踪请求的一种方式。

响应

名称 类型 说明
200 OK

SharedPrivateLinkResource

已成功检索共享专用链接资源的定义,并且位于响应中。

Other Status Codes

CloudError

HTTP 404(找不到):找不到订阅、资源组、搜索服务或共享专用链接资源。

安全性

azure_auth

Microsoft Entra ID OAuth2 授权流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

SharedPrivateLinkResourceGet

示例请求

GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/sharedPrivateLinkResources/testResource?api-version=2023-11-01

示例响应

{
  "name": "testResource",
  "type": "Microsoft.Search/searchServices/sharedPrivateLinkResources",
  "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/sharedPrivateLinkResources/testResource",
  "properties": {
    "requestMessage": "please approve",
    "groupId": "blob",
    "privateLinkResourceId": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Storage/storageAccounts/storageAccountName",
    "status": "Pending",
    "resourceRegion": null
  }
}

定义

名称 说明
CloudError

包含有关 API 错误的信息。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

SharedPrivateLinkResource

描述由搜索服务管理的共享专用链接资源。

SharedPrivateLinkResourceProperties

描述由搜索服务管理的现有共享专用链接资源的属性。

SharedPrivateLinkResourceProvisioningState

共享专用链接资源的预配状态。 有效值为更新、删除、失败、成功或不完整。

SharedPrivateLinkResourceStatus

共享专用链接资源的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

CloudError

包含有关 API 错误的信息。

名称 类型 说明
error

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

名称 类型 说明
code

string

比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。

details

CloudErrorBody[]

包含与此错误相关的嵌套错误。

message

string

详细说明错误并提供调试信息的消息。

target

string

特定错误的目标(例如,错误中属性的名称)。

SharedPrivateLinkResource

描述由搜索服务管理的共享专用链接资源。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties

SharedPrivateLinkResourceProperties

描述由搜索服务管理的共享专用链接资源的属性。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

SharedPrivateLinkResourceProperties

描述由搜索服务管理的现有共享专用链接资源的属性。

名称 类型 说明
groupId

string

共享专用链接资源的提供程序中的组 ID。

privateLinkResourceId

string

共享专用链接资源的资源的资源 ID。

provisioningState

SharedPrivateLinkResourceProvisioningState

共享专用链接资源的预配状态。 有效值为更新、删除、失败、成功或不完整。

requestMessage

string

请求消息,用于请求批准共享专用链接资源。

resourceRegion

string

可选。 可用于指定要创建共享专用链接的资源的 Azure 资源管理器位置。 只有 DNS 配置是区域(例如 Azure Kubernetes 服务)的资源才需要这样做。

status

SharedPrivateLinkResourceStatus

共享专用链接资源的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

SharedPrivateLinkResourceProvisioningState

共享专用链接资源的预配状态。 有效值为更新、删除、失败、成功或不完整。

值 说明
Updating
Deleting
Failed
Succeeded
Incomplete

SharedPrivateLinkResourceStatus

共享专用链接资源的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

值 说明
Pending
Approved
Rejected
Disconnected